#ifndef _GRAPHICS_H_
#define _GRAPHICS_H_

#ifdef USE_SVGALIB
#  include "../lib/lib_svga.h"
#endif

#ifdef USE_X11
#  include "../lib/lib_X11.h"
#endif


#define WINDOW_MAXX   639
#define WINDOW_MAXY   479


#if defined(__STDC__) || defined(__cplusplus) || defined(NeedFunctionPrototypes)
#  define __PARMS(s) s
#else
#  define __PARMS(s) ()
#endif

void  graph_rectangle         __PARMS((short x, short y, short width, short height, short color_index));
void  graph_putbox            __PARMS((short x, short y, short width, short height, unchar *image));
void  graph_putboxmask        __PARMS((short x, short y, short width, short height, unchar *image));
void  graph_fillbox           __PARMS((short x, short y, short width, short height, short color_index));
void  graph_scalebox          __PARMS((short width, short height, unchar *image, short width_1, short height_1, unchar *image_1));
void  graph_clearscreen       __PARMS((short color_index));
void  graph_setpalettecolor   __PARMS((short color_index, short red, short green, short blue));
void  graph_setclippingwindow __PARMS((short x_0, short y_0, short x_1, short y_1));
void  graph_palette_fade      __PARMS((short direction));
void  graph_copyscreen        __PARMS((void));
short graph_save_snapshot     __PARMS((void));
void  graph_printf            __PARMS((short x, short y, short color, struct FONT_DATA *font, char *format, ...));

#undef __PARMS
#endif
